This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-03-31 09:42
Elapsed6m56s
Revision
Buildere4417dde-7333-11ea-8574-7e2b78ec67cb
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/6a57cd05-dc24-4941-908c-a64090e47ea1/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/6a57cd05-dc24-4941-908c-a64090e47ea1/targets/test
infra-commitbf7dc9346

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0331 09:42:58.207] process 29 exited with code 0 after 0.0m
I0331 09:42:58.207] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 09:42:58.208] Root: /workspace
I0331 09:42:58.208] cd to /workspace
I0331 09:42:58.208] Configure environment...
I0331 09:42:58.208] Call:  git show -s --format=format:%ct HEAD
W0331 09:42:58.219] fatal: not a git repository (or any of the parent directories): .git
I0331 09:42:58.222] process 42 exited with code 128 after 0.0m
W0331 09:42:58.222] Unable to print commit date for HEAD
I0331 09:42:58.222] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 09:42:59.069] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 09:43:00.091] process 43 exited with code 0 after 0.0m
I0331 09:43:00.091] Call:  gcloud config get-value account
... skipping 35 lines ...
W0331 09:49:39.702]     self.send(msg)
W0331 09:49:39.702]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0331 09:49:39.702]     self.connect()
W0331 09:49:39.702]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0331 09:49:39.702]     conn = self._new_conn()
W0331 09:49:39.702]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0331 09:49:39.703]     self, "Failed to establish a new connection: %s" % e
W0331 09:49:39.703] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7fc787a5bda0>: Failed to establish a new connection: [Errno 110] Connection timed out
W0331 09:49:39.703] 
W0331 09:49:39.703] During handling of the above exception, another exception occurred:
W0331 09:49:39.703] 
W0331 09:49:39.703] Traceback (most recent call last):
W0331 09:49:39.703]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0331 09:49:39.704]     timeout=timeout
W0331 09:49:39.704]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0331 09:49:39.704]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0331 09:49:39.704]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0331 09:49:39.704]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0331 09:49:39.705] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fc787a5bda0>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 09:49:39.705] 
W0331 09:49:39.705] During handling of the above exception, another exception occurred:
W0331 09:49:39.705] 
W0331 09:49:39.705] Traceback (most recent call last):
W0331 09:49:39.705]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0331 09:49:39.705]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0331 09:49:39.707]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0331 09:49:39.707]     resp = self.send(prep, **send_kwargs)
W0331 09:49:39.707]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0331 09:49:39.707]     r = adapter.send(request, **kwargs)
W0331 09:49:39.707]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0331 09:49:39.707]     raise ConnectionError(e, request=request)
W0331 09:49:39.708] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7fc787a5bda0>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 09:49:39.767] Traceback (most recent call last):
W0331 09:49:39.767]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0331 09:49:39.767]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0331 09:49:39.767]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0331 09:49:39.767]     check(*cmd)
W0331 09:49:39.767]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0331 09:49:39.768]     subprocess.check_call(cmd)
W0331 09:49:39.768]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0331 09:49:39.768]     raise CalledProcessError(retcode, cmd)
W0331 09:49:39.769] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0331 09:49:39.792] Command failed
I0331 09:49:39.793] process 251 exited with code 1 after 6.6m
E0331 09:49:39.793] FAIL: metrics-kettle
I0331 09:49:39.793] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 09:49:40.612] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 09:49:41.311] process 255 exited with code 0 after 0.0m
I0331 09:49:41.312] Call:  gcloud config get-value account
I0331 09:49:42.557] process 267 exited with code 0 after 0.0m
I0331 09:49:42.557] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 09:49:42.557] Upload result and artifacts...
I0331 09:49:42.558] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1244923022222036992
W0331 09:49:42.558] Missing local artifacts : /workspace/_artifacts
W0331 09:49:42.558] metadata path /workspace/_artifacts/metadata.json does not exist
W0331 09:49:42.558] metadata not found or invalid, init with empty metadata
I0331 09:49:42.558] Call:  git rev-parse HEAD
W0331 09:49:42.573] fatal: not a git repository (or any of the parent directories): .git
E0331 09:49:42.573] Command failed
I0331 09:49:42.573] process 280 exited with code 128 after 0.0m
I0331 09:49:42.574] Call:  git rev-parse HEAD
I0331 09:49:42.588] process 281 exited with code 0 after 0.0m
I0331 09:49:42.589] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0331 09:49:45.031] process 282 exited with code 0 after 0.0m
I0331 09:49:45.032] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585644521100436'
... skipping 8 lines ...